--AH:ScriptId=e71822d3-0f67-4808-8b1a-ba4753499f48;2924
TRUNCATE TABLE [LogMessages]
GO

ALTER TABLE [LogMessages]
  DROP COLUMN [Read_Indicator]
GO

ALTER TABLE [LogMessages]
  DROP COLUMN [Server_Id]
GO

ALTER TABLE [LogMessages]
  DROP COLUMN [ExceptionStackTrace_Text]
GO

ALTER TABLE [LogMessages]
  ADD [Message_Level] INT NOT NULL,
      [Category_Name] VARCHAR(30) NULL,
      [Details_Bytes] VARBINARY(MAX) NULL,
      [Application_Id] INT NULL,
      [Schedule_Id] INT NULL,
      [Requirement_Id] INT NULL,
      [Provider_Id] INT NULL,
      [EventListener_Id] INT NULL,
      [Server_Id] INT NULL,
      [ShowNotification_Indicator] YNINDICATOR NOT NULL,
      CONSTRAINT [DF__LogMessages__Message_Level] DEFAULT (30) FOR [Message_Level],
      CONSTRAINT [DF__LogMessages__ShowNotification_Indicator] DEFAULT ('N') FOR [ShowNotification_Indicator],
      CONSTRAINT [FK__LogMessages__Applications] 
             FOREIGN KEY ([Application_Id]) REFERENCES [Applications] ([Application_Id])
             ON DELETE CASCADE,
      CONSTRAINT [FK__LogMessages__BuildSchedules] 
             FOREIGN KEY ([Schedule_Id]) REFERENCES [BuildSchedules] ([Schedule_Id])
             ON DELETE CASCADE,
      CONSTRAINT [FK__LogMessages__BuildPromotionRequirements] 
             FOREIGN KEY ([Requirement_Id]) REFERENCES [BuildPromotionRequirements] ([Requirement_Id])
             ON DELETE CASCADE,
      CONSTRAINT [FK__LogMessages__Providers] 
             FOREIGN KEY ([Provider_Id]) REFERENCES [Providers] ([Provider_Id])
             ON DELETE CASCADE,
      CONSTRAINT [FK__LogMessages__EventListeners] 
             FOREIGN KEY ([EventListener_Id]) REFERENCES [EventListeners] ([EventListener_Id])
             ON DELETE CASCADE,
      CONSTRAINT [FK__LogMessages__Servers] 
             FOREIGN KEY ([Server_Id]) REFERENCES [Servers] ([Server_Id])
             ON DELETE CASCADE
GO

CREATE NONCLUSTERED INDEX [IX__LogMessages__Category_Name]
    ON [LogMessages] ([Category_Name])