--AH:ScriptId=6B778E6B-F89D-4CF2-8BC7-5B3E0C88C1AD

CREATE TABLE [BuildTriggerExecutions]
(
	[Execution_Id] INT NOT NULL,
	[Plan_Name] VARCHAR(255) NULL,
	[Server_Id] INT NULL,
	[Application_Id] INT NOT NULL,
	[RepositoryMonitor_Id] INT NOT NULL,

	CONSTRAINT [PK__BuildTriggerExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__BuildTriggerExecutions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__BuildTriggerExecutions__Servers]
		FOREIGN KEY ([Server_Id])
		REFERENCES [Servers] ([Server_Id])
		ON DELETE SET NULL,

	CONSTRAINT [FK__BuildTriggerExecutions__RepositoryMonitors]
		FOREIGN KEY ([RepositoryMonitor_Id])
		REFERENCES [RepositoryMonitors] ([RepositoryMonitor_Id])
		ON DELETE CASCADE
)

CREATE INDEX [IX__BuildTriggerExecutions__RepositoryMonitors]
	ON [BuildTriggerExecutions] ([RepositoryMonitor_Id])

ALTER TABLE [Executions] DROP CONSTRAINT [CK__Executions__ExecutionMode_Code]
GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [CK__Executions__ExecutionMode_Code]
		CHECK ([ExecutionMode_Code] IN ('M','E','D','C','B','A','T'))
GO
