IF OBJECT_ID('[TR__DeploymentPlanActionGroups_ValidateGoto]') IS NOT NULL DROP TRIGGER [TR__DeploymentPlanActionGroups_ValidateGoto]
GO

CREATE TRIGGER [TR__DeploymentPlanActionGroups_ValidateGoto] 
       ON [DeploymentPlanActionGroups] FOR UPDATE, INSERT
AS 
BEGIN
	IF EXISTS(SELECT *
				FROM [inserted] i
					 LEFT JOIN [DeploymentPlanActionGroups] DPAG_Success
					        ON DPAG_Success.[DeploymentPlanActionGroup_Id] = i.[OnSuccess_DeploymentPlanActionGroup_Id]
			   WHERE DPAG_Success.[OnSuccess_DeploymentPlanActionGroup_Id] IS NOT NULL
			     AND DPAG_Success.[DeploymentPlan_Id] <> i.[DeploymentPlan_Id])
		BEGIN
			RAISERROR('OnSuccess_DeploymentPlanActionGroup must refer to a group in the same plan.', 16, 1)
			ROLLBACK
		END

	IF EXISTS(SELECT *
				FROM [inserted] i
					 LEFT JOIN [DeploymentPlanActionGroups] DPAG_Failure
					        ON DPAG_Failure.[DeploymentPlanActionGroup_Id] = i.[OnFailure_DeploymentPlanActionGroup_Id]
			   WHERE DPAG_Failure.[OnFailure_DeploymentPlanActionGroup_Id] IS NOT NULL
			     AND DPAG_Failure.[DeploymentPlan_Id] <> i.[DeploymentPlan_Id])
		BEGIN
			RAISERROR('OnFailure_DeploymentPlanActionGroup must refer to a group in the same plan.', 16, 1)
			ROLLBACK
		END
END
GO