IF OBJECT_ID('[DatabaseConnections_Extended]') IS NOT NULL DROP VIEW [DatabaseConnections_Extended]
GO

CREATE VIEW [DatabaseConnections_Extended]
AS
SELECT DC.[DatabaseConnection_Id],
       DC.[DatabaseConnection_Name],
	   DC.[DatabaseConnection_Description],
	   DC.[DatabaseConnection_Configuration],
	   DC.[ExecuteOn_Server_Id],
	   [ExecuteOn_Server_Name] = S.[Server_Name],
	   DC.[ModifiedBy_User_Name],
	   DC.[ModifiedOn_Date],
	   DC.[Application_Id],
	   A.[Application_Name],
	   DC.[Environment_Id],
	   E.[Environment_Name],
	   [RestrictEnvironment_Indicator] 
  FROM [DatabaseConnections] DC
       INNER JOIN [Applications] A
	           ON A.[Application_Id] = DC.[Application_Id]
	   INNER JOIN [Environments] E
	           ON E.[Environment_Id] = DC.[Environment_Id]
	   INNER JOIN [Servers] S
	           ON S.[Server_Id] = DC.[ExecuteOn_Server_Id]

GO
