IF OBJECT_ID('[Privileges_Extended]') IS NOT NULL
	DROP VIEW [Privileges_Extended]
GO

CREATE VIEW [Privileges_Extended]
AS

	SELECT P.[Privilege_Id]
		  ,P.[UserDirectory_Id]
		  ,P.[Principal_Name]
		  ,P.[PrincipalType_Code]
		  ,P.[PrivilegeType_Code]

		  ,R.[Role_Id]
		  ,R.[Role_Name]

		  ,A.[Application_Id]
		  ,A.[Application_Name]

		  ,E.[Environment_Id]
		  ,E.[Environment_Name]

		  ,AG.[ApplicationGroup_Id]
		  ,AG.[ApplicationGroup_Name]

	  FROM [Privileges] P
		   INNER JOIN [Roles] R
				   ON P.[Role_Id] = R.[Role_Id]

		   LEFT JOIN [Applications] A
				  ON P.[Application_Id] = A.[Application_Id]

		   LEFT JOIN [Environments] E
				  ON P.[Environment_Id] = E.[Environment_Id]
				  
		   LEFT JOIN [ApplicationGroups] AG
				  ON P.[ApplicationGroup_Id] = AG.[ApplicationGroup_Id]

GO
