EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseChangeScripts_CreateExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Execution_Id',
    /* Description_Text        */ 'Creates a database change script execution.'
GO


IF OBJECT_ID('[DatabaseChangeScripts_CreateExecution]') IS NOT NULL DROP PROCEDURE [DatabaseChangeScripts_CreateExecution]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseChangeScripts_CreateExecution]
(
	@DatabaseConnection_Id INT,
	@ScriptIds_Csv VARCHAR(MAX),
	@Execution_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [Executions]
	(
		[Start_Date],
		[ExecutionStatus_Code],
		[ExecutionRunState_Code],
		[ExecutionMode_Code],
		[CreatedBy_User_Name],
		[CreatedOn_Date]
	)
	VALUES
	(
		GETUTCDATE(),
		'S',
		'P',
		'D',
		dbo.Session_GetUserName(),
		GETUTCDATE()
	)

	SET @Execution_Id = SCOPE_IDENTITY()

	INSERT INTO [DatabaseChangeScriptExecutions]
	(
		[Execution_Id],
		[DatabaseConnection_Id],
		[ScriptIds_Csv]
	)
	VALUES
	(
		@Execution_Id,
		@DatabaseConnection_Id,
		@ScriptIds_Csv
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH
END
GO

GRANT EXECUTE ON [DatabaseChangeScripts_CreateExecution] TO [BuildMasterUser_Role]
