EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionLogScopes',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ScopedExecutionLogs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all log scopes for the specified execution.'
GO

IF OBJECT_ID('[Executions_GetExecutionLogScopes]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionLogScopes]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionLogScopes]
(
	@Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED

	SELECT *
	  FROM [ScopedExecutionLogs]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetExecutionLogScopes] TO [BuildMasterUser_Role]
