EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_SetRunContextHash',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DeploymentPlanRuns',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the estimated length of time for an execution based on its run context hash.'
GO

IF OBJECT_ID('[Executions_SetRunContextHash]') IS NOT NULL DROP PROCEDURE [Executions_SetRunContextHash]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_SetRunContextHash]
(
	@Execution_Id INT,
    @RunContextHash_Bytes BINARY(16)
)
AS
BEGIN

SET NOCOUNT ON

        UPDATE [BuildExecutions]
           SET [RunContextHash_Bytes] = @RunContextHash_Bytes
         WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_SetRunContextHash] TO [BuildMasterUser_Role]
