EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExtensionConfiguration_DeleteConfiguration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an extension configuration'
GO

IF OBJECT_ID('[ExtensionConfiguration_DeleteConfiguration]') IS NOT NULL DROP PROCEDURE [ExtensionConfiguration_DeleteConfiguration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ExtensionConfiguration_DeleteConfiguration] 
(
	@ExtensionConfiguration_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DECLARE @QualifiedType_Name VARCHAR(500)
		    SET @QualifiedType_Name = (SELECT [QualifiedType_Name]
		                             FROM [ExtensionConfigurations]
		                            WHERE [ExtensionConfiguration_Id] = @ExtensionConfiguration_Id)
		IF @@ROWCOUNT = 0 RETURN

        UPDATE [ActionGroupActions]
           SET [ExtensionConfiguration_Id] = NULL
         WHERE [ExtensionConfiguration_Id] = @ExtensionConfiguration_Id

		DELETE [ExtensionConfigurations]
		 WHERE [ExtensionConfiguration_Id] = @ExtensionConfiguration_Id

		EXEC [Events_RaiseEvent] 'EXTCFG', NULL, @QualifiedType_Name 

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ExtensionConfiguration_DeleteConfiguration] TO [BuildMasterUser_Role]
GO