EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Notifiers_GetNotifiers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Notifiers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of notifiers for the specified user, or all users if no user is specified'
GO

IF OBJECT_ID('[Notifiers_GetNotifiers]') IS NOT NULL
	DROP PROCEDURE [Notifiers_GetNotifiers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Notifiers_GetNotifiers]
(
	@Owner_User_Name USERNAME = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * FROM [Notifiers]
	 WHERE [Owner_User_Name] = COALESCE(@Owner_User_Name,[Owner_User_Name])
	   OR ([Owner_User_Name] IS NULL AND @Owner_User_Name IS NULL)

END
GO

GRANT EXECUTE ON [Notifiers_GetNotifiers] TO [BuildMasterUser_Role]
