EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScriptAssets_DeleteScript',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a script.'
GO

IF OBJECT_ID('[ScriptAssets_DeleteScript]') IS NOT NULL DROP PROCEDURE [ScriptAssets_DeleteScript]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScriptAssets_DeleteScript]
(
	@ScriptAsset_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [ScriptAssets]
	 WHERE [ScriptAsset_Id] = @ScriptAsset_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [ScriptAssets_DeleteScript] TO [BuildMasterUser_Role]