EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_DeletePackageVariable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a release package variable.'
GO

IF OBJECT_ID('[Variables_DeletePackageVariable]') IS NOT NULL DROP PROCEDURE [Variables_DeletePackageVariable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_DeletePackageVariable]
(
	@Build_Id INT,
    @Variable_Name VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DELETE [BuildVariables]
		 WHERE [Build_Id] = @Build_Id
           AND [Variable_Name] = @Variable_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Variables_DeletePackageVariable] TO [BuildMasterUser_Role]
