EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_DeleteVariableDeclaration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a variable declaration.'
GO


IF OBJECT_ID('[Variables_DeleteVariableDeclaration]') IS NOT NULL DROP PROCEDURE [Variables_DeleteVariableDeclaration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_DeleteVariableDeclaration]
(
	@VariableDeclaration_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

    DELETE [BuildScheduleVariableDefinitions]
	 WHERE [VariableDeclaration_Id] = @VariableDeclaration_Id

    DELETE [VariableDeclarations]
	 WHERE [VariableDeclaration_Id] = @VariableDeclaration_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Variables_DeleteVariableDeclaration] TO [BuildMasterUser_Role]